--- kde-2.2/kdenetwork/lanbrowsing/lisa/netscanner.cpp.orig	Mon Aug 13 09:46:43 2001
+++ kde-2.2/kdenetwork/lanbrowsing/lisa/netscanner.cpp	Mon Aug 13 09:52:17 2001
@@ -34,7 +34,41 @@
 #endif
 #include <netinet/in_systm.h>
 #include <netinet/ip.h>
+#define icmp _icmp
 #include <netinet/ip_icmp.h>
+#undef icmp
+struct icmp {
+        u_char  icmp_type;              /* type of message, see below */
+        u_char  icmp_code;              /* type sub code */
+        u_short icmp_cksum;             /* ones complement cksum of struct */
+        union {
+                u_char ih_pptr;                 /* ICMP_PARAMPROB */
+                struct in_addr ih_gwaddr;       /* ICMP_REDIRECT */
+                struct {
+                        n_short icd_id;
+                        n_short icd_seq;
+                } ih_idseq;
+                int ih_void;
+                /* ICMP_UNREACH_NEEDFRAG -- Path MTU Discovery (RFC1191) */
+                struct {
+                        n_short ipm_void;
+                        n_short ipm_nextmtu;
+                } ih_pmtu;
+        } icmp_hun;
+        union {
+                struct id_ts {
+                        n_time its_otime;
+                        n_time its_rtime;
+                        n_time its_ttime;
+                } id_ts;
+                struct id_ip  {
+                        struct ip idi_ip;
+                        /* options and then 64 bits of data */
+                } id_ip;
+                u_long  id_mask;
+                char    id_data[1];
+        } icmp_dun;
+};
 
 #define getDebug() getDebug()<<procId
 
--- kde-2.2/kdenetwork/kmailcvt/filter_oe4.cxx.orig	Mon Aug 13 09:26:07 2001
+++ kde-2.2/kdenetwork/kmailcvt/filter_oe4.cxx	Mon Aug 13 09:26:36 2001
@@ -15,6 +15,10 @@
  *                                                                         *
  ***************************************************************************/
 
+#if defined(_AIX) && !defined(_AIX51)
+#include <strings.h>
+#endif
+
 #include "filter_oe4.hxx"
 #include "oe4_2mbox.h"
 #include "harray.hxx"
--- kde-2.2/kdenetwork/knewsticker/kcmnewsticker/Makefile.am	Wed Aug 15 16:12:20 2001
+++ kde-2.2/kdenetwork/knewsticker/kcmnewsticker/Makefile.am.orig	Wed Aug 15 16:11:10 2001
@@ -6,7 +6,7 @@
 	newssourcedlgimpl.cpp kcmnewsticker.cpp
 
 libkcm_newsticker_la_LDFLAGS = -L$(top_builddir)/knewsticker/common \
-	$(all_libraries) -module -avoid-version -no-undefined
+	$(KDE_RPATH) $(all_libraries) -module -avoid-version -no-undefined
 libkcm_newsticker_la_LIBADD = $(LIB_KDEUI) $(LIB_KFILE) \
   $(top_builddir)/knewsticker/common/libknewstickercommon.la
 
--- kde-2.2/kdenetwork/knewsticker/knewstickerstub/Makefile.am.orig	Wed Aug 15 16:25:34 2001
+++ kde-2.2/kdenetwork/knewsticker/knewstickerstub/Makefile.am	Wed Aug 15 16:25:49 2001
@@ -10,7 +10,7 @@
 knewstickerstub_SOURCES = knewstickerstub.cpp
 knewstickerstub_LDADD = $(LIB_KDECORE) $(LIB_KIO) \
   $(top_builddir)/knewsticker/common/libknewstickercommon.la
-knewstickerstub_LDFLAGS = -L$(top_builddir)/knewsticker/common $(KDE_PATH) $(all_libraries)
+knewstickerstub_LDFLAGS = -L$(top_builddir)/knewsticker/common $(KDE_RPATH) $(all_libraries)
 
 KDE_ICON = AUTO
 
